import request from '@/utils/request'

// 衣服类型维度 - 列表查询
export function getClothPriceListByClothType(data) {
  return request({
    url: '/mapi/cloth/price/getClothPriceListByClothType',
    method: 'post',
    data: data
  })
}

// 衣服类型维度 - 设置价格
export function setPriceByClothType(data) {
  return request({
      url: '/mapi/cloth/price/setPriceByClothType',
      method: 'post',
      data: data
  })
}

//衣服类型维度 - 区域价格复制 
export function setPriceByClothTypeCopyArea(data) {
  return request({
      url: '/mapi/cloth/price/setPriceByClothTypeCopyArea',
      method: 'post',
      data: data
  })
}

// 洗衣方式维度 - 列表查询
export function getClothPriceListByWashMode(data) {
  return request({
    url: '/mapi/cloth/price/getClothPriceListByWashMode',
    method: 'post',
    data: data
  })
}

// 查询洗衣方式详细
export function getWashMode() {
  return request({
      url: '/mapi/core/washMode',
      method: 'get'
  })
}

// 洗衣方式维度 - 设置价格
export function setPriceByWashMode(data) {
  return request({
      url: '/mapi/cloth/price/setPriceByWashMode',
      method: 'post',
      data: data
  })
}

//洗衣方式维度 - 区域价格复制
export function setPriceByWashModeCopyArea(data) {
  return request({
      url: '/mapi/cloth/price/setPriceByWashModeCopyArea',
      method: 'post',
      data: data
  })
}